Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.application
Interface MessageFactory

    public interface MessageFactory

Author:
  Nick Belaevski

Method Summary
`javax.faces.application.FacesMessage` | `createMessage(javax.faces.context.FacesContext facesContext, java.lang.Enum<?> messageKey, java.lang.Object... args)`
`javax.faces.application.FacesMessage` | `createMessage(javax.faces.context.FacesContext facesContext, javax.faces.application.FacesMessage.Severity severity, java.lang.Enum<?> messageKey, java.lang.Object... args)`
`java.lang.String` | `getMessageFormat(javax.faces.context.FacesContext facesContext, java.lang.Enum<?> messageKey)`
`java.lang.String` | `getMessageText(javax.faces.context.FacesContext facesContext, java.lang.Enum<?> messageKey, java.lang.Object... args)`

Method Detail

### createMessage

    javax.faces.application.FacesMessage createMessage(javax.faces.context.FacesContext facesContext,
                                                       java.lang.Enum<?> messageKey,
                                                       java.lang.Object... args)

### createMessage

    javax.faces.application.FacesMessage createMessage(javax.faces.context.FacesContext facesContext,
                                                       javax.faces.application.FacesMessage.Severity severity,
                                                       java.lang.Enum<?> messageKey,
                                                       java.lang.Object... args)

### getMessageText

    java.lang.String getMessageText(javax.faces.context.FacesContext facesContext,
                                    java.lang.Enum<?> messageKey,
                                    java.lang.Object... args)

### getMessageFormat

    java.lang.String getMessageFormat(javax.faces.context.FacesContext facesContext,
                                      java.lang.Enum<?> messageKey)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 JBoss, a division of Red Hat, Inc.. All Rights Reserved.